include mixins/header
include mixins/navbar
include mixins/footer

- pageName = 'E-Board'

+header(pageName)
body
  +navbar(pageName)
  br
  .text-center
    - const eboards = resources.eboards.sort().reverse()
    - const eboard_years = eboards.map(e => e.year).sort().reverse()
    - default_year = Math.max(...eboard_years)
    h2 Eboard&nbsp;
      span#year #{default_year}
    hr
  .grid-x.grid-margin-x

    .cell.medium-8.medium-offset-2.small-8.small-offset-1
      each eboard, index in eboards
        .grid-x.grid-margin-x.small-up-1.medium-up-3.large-up-4(id=`eboard_${eboard.year}`, style= (eboard.year === default_year) ? 'display: flex' : 'display: none;')
          each officer in eboard.officers
            .cell.small-2
              img.thumbnail(src=`/assets/img/officers/${eboard.year}/${officer.name.toLowerCase().replace(' ','_').replace("'","")}.jpg`)
              h5= officer.position
              h3= officer.name
              p= officer.bio

    ul.menu.vertical.cell.small-3.medium-1
      each year in eboard_years
        li: a(href=`/eboard#${year}`)=year


  +footer()
  script(src="/assets/js/eboard.js")
